Webhooks

WP EasyCart uses webhooks to trigger any event in your platform. You may subscribe and unsubscribe to any webhook using the endpoints in the API. It is also possible to manually add, edit, delete, or retry webhooks within the WP EasyCart Admin -> settings -> third party management area.

Webhook

type
string

The type of webhook

Enum: "new_category" "update_category" "delete_category" "activate_category" "deactivate_category" "new_product_in_category" "removed_product_from_category" "new_cart" "update_cart" "new_cartite" "update_cartitem" "delete_cartitem" "new_country" "update_country" "delete_country" "new_coupon" "update_coupon" "delete_coupon" "new_download" "update_download" "delete_download" "new_giftcard" "update_giftcard" "delete_giftcard" "new_manufacturer" "update_manufacturer" "delete_manufacturer" "new_menu" "update_menu" "delete_menu" "new_modifier_to_product" "delete_modifier_to_product" "new_optionitem" "update_optionitem" "delete_optionitem" "new_optionset" "update_optionset" "delete_optionset" "new_order" "update_order" "delete_order" "new_order_status" "update_order_status" "delete_order_status" "new_product" "update_product" "delete_product" "activate_product" "deactivate_product" "new_promotion" "update_promotion" "delete_promotion" "new_review" "update_review" "delete_review" "new_shipping_rate" "update_shipping_rate" "delete_shipping_rate" "new_state" "update_state" "delete_state" "new_subscriber" "update_subscriber" "delete_subscriber" "new_subscription" "update_subscription" "delete_subscription" "cancel_subscription" "new_subscription_plan" "update_subscription_plan" "delete_subscription_plan" "new_taxrate" "update_taxrate" "delete_taxrate" "new_user" "update_user" "delete_user" "new_userrole" "update_userrole" "delete_userrole" "new_zone" "update_zone" "delete_zone" "new_location_to_zone" "delete_location_to_zone"
endpoint
string

The endpoint for your webhook.

{
  • "type": "new_category",
  • "endpoint": "string"
}

Subscribe to a Webhook

Subscribe to a specific webhook within the WP EasyCart

SecuritybearerAuth or basicAuth
Request
Request Body schema: application/json
required

Must submit a type and endpoint.

type
required
string

The type of webhook

Enum: "new_category" "update_category" "delete_category" "activate_category" "deactivate_category" "new_product_in_category" "removed_product_from_category" "new_cart" "update_cart" "new_cartite" "update_cartitem" "delete_cartitem" "new_country" "update_country" "delete_country" "new_coupon" "update_coupon" "delete_coupon" "new_download" "update_download" "delete_download" "new_giftcard" "update_giftcard" "delete_giftcard" "new_manufacturer" "update_manufacturer" "delete_manufacturer" "new_menu" "update_menu" "delete_menu" "new_modifier_to_product" "delete_modifier_to_product" "new_optionitem" "update_optionitem" "delete_optionitem" "new_optionset" "update_optionset" "delete_optionset" "new_order" "update_order" "delete_order" "new_order_status" "update_order_status" "delete_order_status" "new_product" "update_product" "delete_product" "activate_product" "deactivate_product" "new_promotion" "update_promotion" "delete_promotion" "new_review" "update_review" "delete_review" "new_shipping_rate" "update_shipping_rate" "delete_shipping_rate" "new_state" "update_state" "delete_state" "new_subscriber" "update_subscriber" "delete_subscriber" "new_subscription" "update_subscription" "delete_subscription" "cancel_subscription" "new_subscription_plan" "update_subscription_plan" "delete_subscription_plan" "new_taxrate" "update_taxrate" "delete_taxrate" "new_user" "update_user" "delete_user" "new_userrole" "update_userrole" "delete_userrole" "new_zone" "update_zone" "delete_zone" "new_location_to_zone" "delete_location_to_zone"
endpoint
required
string

The endpoint for your webhook.

Responses
200

Successful operation

400

Unauthorized

post/subscribe
Request samples
application/json
{
  • "type": "new_category",
  • "endpoint": "string"
}
Response samples
application/json
{
  • "type": "new_category",
  • "endpoint": "string"
}

Unsubscribe to a Webhook

Unsubscribe to a specific webhook within the WP EasyCart

SecuritybearerAuth or basicAuth
Request
Request Body schema: application/json
required

Must submit a type and endpoint.

type
required
string

The type of webhook

Enum: "new_category" "update_category" "delete_category" "activate_category" "deactivate_category" "new_product_in_category" "removed_product_from_category" "new_cart" "update_cart" "new_cartite" "update_cartitem" "delete_cartitem" "new_country" "update_country" "delete_country" "new_coupon" "update_coupon" "delete_coupon" "new_download" "update_download" "delete_download" "new_giftcard" "update_giftcard" "delete_giftcard" "new_manufacturer" "update_manufacturer" "delete_manufacturer" "new_menu" "update_menu" "delete_menu" "new_modifier_to_product" "delete_modifier_to_product" "new_optionitem" "update_optionitem" "delete_optionitem" "new_optionset" "update_optionset" "delete_optionset" "new_order" "update_order" "delete_order" "new_order_status" "update_order_status" "delete_order_status" "new_product" "update_product" "delete_product" "activate_product" "deactivate_product" "new_promotion" "update_promotion" "delete_promotion" "new_review" "update_review" "delete_review" "new_shipping_rate" "update_shipping_rate" "delete_shipping_rate" "new_state" "update_state" "delete_state" "new_subscriber" "update_subscriber" "delete_subscriber" "new_subscription" "update_subscription" "delete_subscription" "cancel_subscription" "new_subscription_plan" "update_subscription_plan" "delete_subscription_plan" "new_taxrate" "update_taxrate" "delete_taxrate" "new_user" "update_user" "delete_user" "new_userrole" "update_userrole" "delete_userrole" "new_zone" "update_zone" "delete_zone" "new_location_to_zone" "delete_location_to_zone"
endpoint
required
string

The endpoint for your webhook.

Responses
200

Successful operation

400

Unauthorized

post/unsubscribe
Request samples
application/json
{
  • "type": "new_category",
  • "endpoint": "string"
}
Response samples
application/json
{
  • "type": "new_category",
  • "endpoint": "string"
}